removeNetworkAclOutboundRule

Prev Next

Available in VPC

Remove the list of outbound rules for a specific network ACL.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/removeNetworkAclOutboundRule
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the network ACL whose outbound rule you want to remove
networkAclNo String Required Network ACL number
networkAclRuleList.N.priority Integer Required Priority of the network ACL outbound rule to remove
  • 0-199
  • It can't be duplicated with the priority of another outbound rule.
networkAclRuleList.N.protocolTypeCode String Required Protocol type code of the network ACL outbound rule to remove
  • TCP | UDP | ICMP
networkAclRuleList.N.ipBlock String Conditional IP address range to be allowed in the network ACL outbound rule to remove
  • Example: 0.0.0.0/0, 100.10.20.0/24, 192.168.0.10/32
networkAclRuleList.N.denyAllowGroupNo String Conditional Deny-Allow group number of the network ACL outbound rule to remove
  • It can be specified instead of the IP address range to be allowed by the network ACL outbound rule.
  • denyAllowGroupNo can be obtained through getNetworkAclDenyAllowGroupList.
networkAclRuleList.N.portRange String Conditional Port range of the network ACL outbound rule to remove
  • e.g., Single port: 22, Range specification: 1-65535
  • No entry if protocolTypeCode is ICMP
networkAclRuleList.N.ruleActionCode String Required Whether traffic is allowed for the network ACL outbound rule you want to remove
  • ALLOW | DROP
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/removeNetworkAclOutboundRule
?regionCode=KR
&networkAclNo=***31
&networkAclRuleList.1.priority=0
&networkAclRuleList.1.protocolTypeCode=TCP
&networkAclRuleList.1.ipBlock=***.***.0.0/0
&networkAclRuleList.1.portRange=22-23
&networkAclRuleList.1.ruleActionCode=ALLOW' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclRuleList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<removeNetworkAclOutboundRuleResponse>
  <requestId>ff5aaf67-b4b0-45a3-aa56-375346091480</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>0</totalRows>
  <networkAclRuleList/>
</removeNetworkAclOutboundRuleResponse>